# $Revision: 1.8 $, $Date: 2004/10/31 20:54:09 $
%define 	module	ftpparsemodule

Summary:	Python package providing parse FTP LIST command
Summary(pl):	Pakiet Pythona do analizy polecenia FTP LIST
Name:		python-%{module}
Version:	0.93
Release:	2
License:	BSD
Group:		Development/Languages/Python
Source0:	http://c0re.23.nu/c0de/ftpparsemodule/ftpparsemodule-%{version}.tar.gz
# Source0-md5:	05735a02d74554f8895e9faf5e3b15d5
Patch0:		%{module}-gcc.patch
URL:		http://c0re.23.nu/c0de/ftpparsemodule/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FTP-Servers provide a wide range of responses to the LIST command.
ftpparsemodule allows you to parse most FTP-servers LIST responses
found in the wild. It does so by using Dan Bernstein's ftpparse
package and making it accessible to Python.

%description -l pl
Serwery FTP dostarczaj duego rozrzutu odpowiedzi na polecenie LIST.
ftpparsemodule pozwala przeanalizowa odpowiedzi na LIST pochodzce od
wikszoci serwerw FTP istniejcych na wiecie. Robi to przy uyciu
pakietu ftpparse Dana Bersteina, czynic go dostpnym z poziomu
Pythona.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install \
	--root=$RPM_BUILD_ROOT --optimize=2

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-ftpparsemodule.spec,v $
Revision 1.8  2004/10/31 20:54:09  paladine
- spaces->tabs
- formatting

Revision 1.7  2004/10/24 21:04:48  paladine
- spelling fixes, uppercases, etc.

Revision 1.6  2004/07/28 08:03:15  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.5  2004/05/26 21:15:22  ankry
- capitalization, tabs, other cosmetics

Revision 1.4  2004/02/09 09:50:51  qboosh
- fixed gcc patch (don't remove newlines); release 2

Revision 1.3  2004/01/29 12:43:20  areq
- add gcc.patch, now works

Revision 1.2  2004/01/26 21:08:34  qboosh
- pl

Revision 1.1  2004/01/25 23:27:08  areq
- init PLD spec NFY - needed python hacker
